Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.rdbms
Class JDBC.QueryExecutor

    java.lang.Object
      fr.gouv.culture.sdx.utils.rdbms.JDBC.QueryExecutor

Enclosing class:
  JDBC

    public static class JDBC.QueryExecutor

extends java.lang.Object

Constructor Summary
`JDBC.QueryExecutor()`

Method Summary
`void` | `collect(int value)`
`void` | `collect(java.sql.ResultSet rs)`
`boolean` | `exists()`
`java.lang.Object` | `get()`
`java.io.InputStream` | `getInputStream()`
`void` | `prepare(java.sql.PreparedStatement ps)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBC.QueryExecutor

    public JDBC.QueryExecutor()

Method Detail

### prepare

    public void prepare(java.sql.PreparedStatement ps)
                 throws java.sql.SQLException,
                        SDXException

  Throws:
    `java.sql.SQLException`
    `SDXException`

### collect

    public void collect(java.sql.ResultSet rs)
                 throws java.sql.SQLException,
                        java.io.IOException,
                        SDXException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`
    `SDXException`

### collect

    public void collect(int value)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### exists

    public boolean exists()

### value

    public int value()

### getInputStream

    public java.io.InputStream getInputStream()

### get

    public java.lang.Object get()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.